/**
 * This file is part of Rubanetra.
 * Copyright (C) 2013,2014 Stefan Swerk (stefan_rubanetra@swerk.priv.at)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package at.jku.fim.rubanetra.protocol.mapper;


import at.jku.fim.rubanetra.config.model.KrakenProtocolConfiguration;

/**
 * Defines a strategy that defines a way how a transport layer protocol is mapped to an application layer protocol
 * decoder.
 */
public interface TransportLayerMappingStrategy {
    public abstract void setup(KrakenProtocolConfiguration protocolSetting);
}
